Skip to main content
`Ctrl`+`K`

# DMPlexSetRefinementLimit

Set the maximum cell volume for refinement

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexSetRefinementLimit(DM dm, PetscReal refinementLimit)

## Input Parameters

- dm - The `DM`

- refinementLimit - The maximum cell volume in the refined mesh

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMRefine()`, `DMPlexGetRefinementLimit()`, `DMPlexGetRefinementUniform()`, `DMPlexSetRefinementUniform()`

## Level

developer

## Location

src/dm/impls/plex/plexrefine.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages